Subject: bug#17837: 24.4.50; Search very slow

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jun 2014 18:47:51 +0300

> Date: Mon, 23 Jun 2014 11:26:46 -0400
> From: Richard Stallman <[email-masked]>
> 
> I get the impression that searching fontifies all the text
> it moves through.  Is that really necessary?  It is a big pain in the neck.

It should only fontify the displayed parts (and sometimes slightly
above and below), not everything.  I will take a look.

Can you compare what you see with some older version of Emacs, like
23.x?  I tried, and they all seem to be of approximately the same
speed (or lack thereof).